Issue with setting up rails app


#1

Hi Guys, I got an issue here with my trying to set up my application for whatever reason I am unable to run this command

rails generate scaffold car make:string model:string year:integer

been getting this message:
rbenv: version `ruby-2.6.3’ is not installed (set by /Users/henrylay/odin_on_rails/my_first_rails_app/.ruby-version)

this is what came up on my terminal on zsh

I am currently running on catilina and the very I am running on for ruby 2.6.5

thank in advance


#2

From what the error is saying, it seems that the version your app is set to run on (you can see this in your Gemfile) is 2.6.3 and when you try to run this, rbenv doesn’t find that version available. You need to run a command to install that ruby version specifically. I don’t use rbenv but you should be able to find that command in the rbenv documentation.

Good luck!


#3

Cheers Omar! I manage to fix up the error and now its working really appreciate the input. thank you!


#4

Good job!